#! /bin/sh
#
# @(#) javaref
#
# $RCSfile: bshform.txt,v $  $Revision: 1.1.1.1 $
# $Date: 2002/10/16 07:09:22 $ by KyotoHydro
#
# (See "/home/shiiba/floodnote/shell.doc" "Bsh")
#
#begin
# Function:
#   remove japanese comments in java source files and produce
#   java documents using those java source files
#
# Usage:
#   engdoc
#
# <japanese>
# 1. ensrc $B%G%#%l%/%H%j$r:n@.$7!"$=$3$K(B src $B%G%#%l%/%H%j0J2<$N(B
#    $B%U%!%$%k$rJ#<L$7$^$9!#(B
# 2. ecsrc $B%G%#%l%/%H%j$N2<$N(B java $B%U%!%$%k$NF|K\8l%3%a%s%H$r:o(B
#    $B=|$7$^$9!#(B
# </japanese>
#end

#
# $# is the number of arguments
#

if [ "$SHELL" = "/bin/bash" ]; then
  :
else  
  # The following PATH variable is specified for the case when
  # this script is called as:
  #
  #   $ sh ./mken.sh
  # 
  ROOT=c:/ProgramFiles/HOLON/XonWindows2
  PATH="$ROOT/bin;c:/usr/local/bin"
fi 
  
mkdir -p jref
cp -r src/* jref
cd jref
find . -name '*.java' | \
  while read fname 
  do 
    ruby $JAVA_PROJECT_ROOT/javaref $fname > foofname
    mv foofname $fname
  done

## Local Variables: ***
## mode: Shell-script ***
## tab-width: 2 ***
## sh-tab-widht: 2 ***
## End: ***


