// @(#) class OhDataPackTest.java

/*
 * created: 2004/01/04
 *
 */
package ohymosj;

import junit.framework.TestCase;
import java.io.*;

/**
 * <japanese>
 * <br>
 * Rg}܂B
 * </japanese>
 * 
 * @author shiiba
 *
 */
public class OhDataPackTest extends TestCase {

  public OhDataPackTest(String arg0) {
    super(arg0);
  }

  public class OhDataPackMoc extends OhDataPack {
    public String dataType() { return "Foo"; }
    public void dpack2File(PrintWriter os) {}
    public void dpack2Ofile(PrintWriter os) {}
  }

  public void testOhDataType() {
    OhDataPack a = new OhDataPackMoc();
    OhTimePointImmutable tp = a.getDataTime();
    int year = tp.getYear();
    assertEquals("testOhDataType", 0, year);
    OhTimePoint dtp = new OhTimePoint();
    assertEquals("testOhDataType", true, tp.equals(dtp));
  }

  public void testSetDataTime() {
    OhDataPack a = new OhDataPackMoc();
    OhTimePoint tp = new OhTimePoint(2003, 10);
    a.setDataTime(tp);
    assertEquals("testSetDataTime", true, a.getDataTime().equals(tp));
  }

}
