// @(#) OhArrayListTest.java

// (Ref "OhArrayList")

package ohymosj;

import junit.framework.*;

public class OhArrayListTest extends TestCase
{
  OhArrayList _a;
  
  public OhArrayListTest(String name) {
    super(name);
  }
  
  public void setUp() {
    _a = new OhArrayList();
    for (int i = 0; i < 10; i++) {
      _a.add(new Integer(i));
    }
  }
  
  public void tearDown() {
  }

  // @begin{constructors check} ----------------------------------
  // @end{constructors check} ------------------------------------

  // @begin{methods check} ---------------------------------------

  public void test_foo() {
    int expected = 10;
    int actual = _a.size();
    assertEquals("test_foo", expected, actual);
  }

  public void test_constructors() {
    OhArrayList x = new OhArrayList();
    assertEquals("test_constructorsA", 0, x.size());
    assertEquals("test_constructorsB", 0, x.getStartIndex());

    assertEquals("test_constructorsC", 10, _a.size());
    assertEquals("test_constructorsD", 0, _a.getStartIndex());

    Integer y = (Integer) _a.getLastElement();
    assertEquals("test_constructorsE", 9,
      y.intValue());
  }

  public void test_removeHeadRange() {
    /*
    _a.removeHeadRange(1);
    for (int i = 0; i < _a.size(); i++) {
      if (i < _a.getStartIndex()) {
        System.out.print(" (" + _a.get(i) + ")");
      }
      else {
        System.out.print(" " + _a.get(i));
      }
    }
    System.out.println("");
    _a.removeHeadRange(3);
    for (int i = 0; i < _a.size(); i++) {
      if (i < _a.getStartIndex()) {
        System.out.print(" (" + _a.get(i) + ")");
      }
      else {
        System.out.print(" " + _a.get(i));
      }
    }
    System.out.println("");
    */
  }

  // @end{methods check} -----------------------------------------
}

