/**
 * @(#) OhDataPackIntImmutable
 */

package ohymosj;

public interface OhDataPackIntImmutable {
  /**
   * Returns the datatime field of the datapack
   *
   * @return an <code>OhTimePointImmutable</code> value
   */
  public OhTimePointImmutable getDataTime();

  /**
   * Returns the datavalue field of the datapack
   *
   * @return a <code>double</code> value
   */
  public int getDataValue();
}
