// @(#) OhInputPortTest.java

package ohymosj;

import junit.framework.*;

public class OhInputPortTest extends TestCase
{
  public OhInputPortTest(String name) {
    super(name);
  }
  
  public void setUp() {
  }
  
  public void tearDown() {
  }

  class OhInputPortMoc extends OhInputPort {
    public String dataType() {
      return "double";
    }
    public void sendByString(String aDstr) {}
    public void inputData() {}
  }
    
  // @begin{constructors check} ----------------------------------
  // @end{constructors check} ------------------------------------

  // @begin{methods check} ---------------------------------------

  /**
   * <japanese>
   * calReq() ̒`ʂAOhCannotGetDataError O𑗏o邩
   * eXg܂B
   * </japanese>
   * 
   *
   */
  public void test_calReq() throws OhError {
    OhInputPort ip = new OhInputPortMoc();
    boolean throwflag = false;
    try {
      ip.calReq();
    }
    catch (OhCannotGetDataError e) {
      throwflag = true;
    }
    assertEquals("1", true, throwflag);
  }
  
  public void test_foo() {
  }
  
  // @end{methods check} -----------------------------------------
}

